[package]
name = "rust-backend"
version = "0.3.0"
edition = "2024"

[dependencies]
actix-web = {version = "4.11.0", features=["openssl"]}
chrono = {version = "0.4.41", features=["serde"]}
dotenvy = "0.15.7"
tracing = "0.1"
tracing-subscriber = { version = "0.3", features = ["env-filter", "json"] }
tracing-appender = "0.2"
sentry = "0.48"
sentry-actix = "0.48"
sentry-tracing = "0.48"
include_dir = "0.7.4"
jsonwebtoken = "9.3.1"
openssl = "0.10.73"
rand = "0.8"
reqwest = { version = "0.12.23", features=["json"]}
serde = { version = "1.0.219", features = ["derive"] }
serde_json = "1.0.143"
sqlx = { version = "0.8.6", features = ["runtime-tokio-rustls", "postgres", "chrono", "uuid"] }
uuid = { version = "1", features = ["v4"] }
tokio = { version = "1", features = ["full"] }
base64 = "0.22"
rsa = { version = "0.9", features = ["pem", "sha2"] }
pkcs8 = "0.10"
sha2 = "0.10"

[dev-dependencies]
tokio = { version = "1", features = ["full"] }
